GETUSERSHELL(3)

NAME
getusershell, setusershell, endusershell - get legal user shells

SYNOPSIS
char *getusershell()

setusershell()

endusershell()

DESCRIPTION
Getusershell returns a pointer to a legal user shell as defined by the system manager in the file /etc/shells. If /etc/shells does not exist, the two standard system shells /bin/sh and /bin/csh are returned.

Getusershell reads the next line (opening the file if necessary); setusershell rewinds the file; endusershell closes it.

FILES
/etc/shells

DIAGNOSTICS
The routine getusershell returns a null pointer (0) on EOF or error.

BUGS
All information is contained in a static area so it must be copied if it is to be saved.